Get trader staking and rewards
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/traders/{address}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/traders/{address}/rewards \
--header 'X-API-Key: <api-key>'{
"data": {
"events": [
{
"amount": "<string>",
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"kind": "<string>",
"logIndex": 1,
"transactionHash": "<string>",
"account": "<string>",
"secondaryAmount": "<string>"
}
],
"staking": {
"account": "<string>",
"cumulativeRewardsClaimedTokens": "<string>",
"cumulativeStakedWad": "<string>",
"cumulativeUnstakedWad": "<string>",
"stakedWad": "<string>",
"updatedAt": "<string>",
"updatedBlock": "<string>"
}
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}Get trader staking and rewards
GET
/
v1
/
traders
/
{address}
/
rewards
Get trader staking and rewards
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/traders/{address}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/traders/{address}/rewards \
--header 'X-API-Key: <api-key>'{
"data": {
"events": [
{
"amount": "<string>",
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"kind": "<string>",
"logIndex": 1,
"transactionHash": "<string>",
"account": "<string>",
"secondaryAmount": "<string>"
}
],
"staking": {
"account": "<string>",
"cumulativeRewardsClaimedTokens": "<string>",
"cumulativeStakedWad": "<string>",
"cumulativeUnstakedWad": "<string>",
"stakedWad": "<string>",
"updatedAt": "<string>",
"updatedBlock": "<string>"
}
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}Authorizations
Tayho project API key with the scope declared by the operation.
Path Parameters
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Pattern:
^(?:[1-9]|[1-9][0-9]|100)$Response
Successful response.
Show child attributes
Show child attributes
Last modified on July 23, 2026
⌘I